* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: Arial, Helvetica, sans-serif;
}

body {
    background-color: #202325;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100vh;
}

.animate-character {
    text-transform: uppercase;
    background-image: repeating-linear-gradient(-225deg, #493396 0%, #732bbe 14.5%, #ff1361 34.5%, #fff800 50%, #ff1361 64.5%, #732bbe 84.5%, #493396 100%);
    background-size: auto auto;
    background-clip: border-box;
    background-size: 200% auto;
    color: #fff;
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    animation: textclip 6s linear infinite;
    display: inline-block;
    font-size: 100px;
    text-align: center;
    width: 100%;
    position: absolute;
    top: 12.5%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-weight: bold; 
}


  @keyframes textclip {
    to {
      background-position: 200% center;
    }
  }

.wrapper {
    width: 100%;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
}

.container {
    height: 400px;
    display: flex;
    flex-wrap: nowrap;
    justify-content: start;
}

.card {
    width: 80px;
    border-radius: .75rem;
    background-size: cover;
    cursor: pointer;
    overflow: hidden;
    border-radius: 2rem;
    margin: 0 10px;
    display: flex;
    align-items: flex-end;
    transition: .6s cubic-bezier(.28,-0.03,0,.99);
    box-shadow: 0px 10px 30px -5px rgba(0,0,0,0.8);
}

.card > .row {
    color: white;
    display: flex;
    flex-wrap: nowrap;
}

.card > .row > .icon {
    background: #223;
    color: white;
    border-radius: 50%;
    width: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 15px;
}

.card > .row > .description {
    display: flex;
    justify-content: center;
    flex-direction: column;
    overflow: hidden;
    height: 80px;
    width: 520px;
    opacity: 0;
    transform: translateY(30px);
    transition-delay: .3s;
    transition: all .3s ease;
}

.description p {
    color: #ffffff;
    padding-top: 5px;
}

.description h4 {
    text-transform: uppercase;
}

input {
    display: none;
}

input:checked + label {
    width: 600px;
}

input:checked + label .description {
    opacity: 1 !important;
    transform: translateY(0) !important;
}

a {
    text-decoration: none;
    color: inherit;
}

a > .row {
    display: flex;
}

.card[for="c1"] {
    background-image: url('img/encdec.jpg');
}
.card[for="c2"] {
    background-image: url('img/taja.jpg');
}
.card[for="c3"] {
    background-image: url('img/tts.jpg');
}
.card[for="c4"] {
    background-image: url('img/img.jpg');
}